%define anolis_release 9
%global kyua_testsdir %{_libexecdir}/%{name}/tests

Name:           kyua
Version:        0.13
Release:        %{anolis_release}%{?dist}
Summary:        Testing framework for infrastructure software

License:        BSD
URL:            https://github.com/jmmv/kyua
Source0:        https://github.com/jmmv/kyua/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc-c++ autoconf automake
BuildRequires:  libatf-c++-devel >= 0.17 libatf-sh-devel >= 0.15
BuildRequires:  pkgconfig(lutok) >= 0.4 pkgconfig(sqlite3) >= 3.6.22

Obsoletes:      kyua-cli < %{EVR}
Obsoletes:      kyua-testers < %{EVR}
Obsoletes:      kyua-testers-devel < %{EVR}
Provides:       kyua-cli = %{EVR}

%description
Kyua is a testing framework for infrastructure software, originally designed
to equip BSD-based operating systems with a test suite. This means that
Kyua is lightweight and simple, and that Kyua integrates well with various
build systems and continuous integration frameworks.

Kyua features an expressive test suite definition language, a safe runtime
engine for test suites and a powerful report generation engine.

Kyua is for both developers and users, from the developer applying a simple
fix to a library to the system administrator deploying a new release
on a production machine.

Kyua is able to execute test programs written with a plethora of
testing libraries and languages. The library of choice is ATF, for which
Kyua was originally designed, but simple, framework-less test programs and
TAP-compliant test programs can also be executed through Kyua.

%package tests
Summary:        Runtime tests of the Kyua toolchain
Obsoletes:      kyua-cli-tests < %{EVR}
Obsoletes:      kyua-testers-tests < %{EVR}
Requires:       %{name} = %{EVR}

%description tests
Testing framework for infrastructure software

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --with-doxygen=no --with-with-atf=yes
%make_build pkgtestsdir=%{kyua_testsdir} testsdir=%{kyua_testsdir}

%install
%make_install pkgtestsdir=%{kyua_testsdir} testsdir=%{kyua_testsdir} doc_DATA=

%generate_compatibility_deps

%check
HOME=$(pwd)/check %make_build check pkgtestsdir=%{kyua_testsdir} testsdir=%{kyua_testsdir} || :

%files
%license LICENSE
%dir %{abidir}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*
%{abidir}/kyua-option.list

%files tests
%{_libexecdir}/%{name}/

%files doc
%doc  NEWS.md README.md AUTHORS CONTRIBUTORS

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.13-9
- optimize spec

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.13-8.3
- update doc package and spec

* Sat Dec 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.13-8.2
- rebuild with atf-0.21

* Wed Mar 9 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 0.13-8.1
- Init for Anolis OS 23 
